OrthogonalizedBumpFinder Class Reference

`#include <ql/models/marketmodels/pathwisegreeks/bumpinstrumentjacobian.hpp>`

## Public Member Functions

| OrthogonalizedBumpFinder (const VegaBumpCollection &bumps, const std::vector< VolatilityBumpInstrumentJacobian::Swaption > &swaptions, const std::vector< VolatilityBumpInstrumentJacobian::Cap > &caps, Real multiplierCutOff, Real tolerance)
void | GetVegaBumps (std::vector< std::vector< Matrix > > &theBumps) const

## Detailed Description

Pass in a market model, a list of instruments, and possible bumps.

Get out pseudo-root bumps that shift each implied vol by one percent, and leave the other instruments fixed.

If the contribution of an instrument is too correlated with other instruments used, discard it.

Examples
  MarketModels.cpp.